Context and queries
Plan or evaluate a bounded SPARQL SELECT query over an ontology release
Plan or evaluate a bounded SPARQL SELECT query over an ontology release
curl --request POST \
--url https://api.atlan.com/ontology/v1/query-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>",
"query": "<string>",
"release_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ontology_id: '<string>', query: '<string>', release_id: '<string>'})
};
fetch('https://api.atlan.com/ontology/v1/query-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/query-plans"
payload = {
"ontology_id": "<string>",
"query": "<string>",
"release_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"diagnostics": [
{
"code": "<string>",
"message": "<string>"
}
],
"is_executable": true,
"logical_plan": [
{
"operator": "<string>",
"expression": "<string>",
"limit": 1,
"object": "<string>",
"offset": 1,
"predicate": "<string>",
"subject": "<string>"
}
],
"manifest_digest": "<string>",
"query_mode": "ontology_metadata",
"release_id": "<string>",
"requires_bindings": true,
"resolved_resources": [
{
"api_name": "<string>",
"artifact_id": "<string>",
"kind": "<string>",
"definition": "<unknown>",
"matched_property_api_name": "<string>"
}
],
"result_bindings": [
{}
],
"unresolved_terms": [
"<string>"
]
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
base64, gzip, base64 Body
application/json
Response
HTTP 200 response.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
ontology_metadata, instance_data Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
Plan or evaluate a bounded SPARQL SELECT query over an ontology release
curl --request POST \
--url https://api.atlan.com/ontology/v1/query-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ontology_id": "<string>",
"query": "<string>",
"release_id": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({ontology_id: '<string>', query: '<string>', release_id: '<string>'})
};
fetch('https://api.atlan.com/ontology/v1/query-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.atlan.com/ontology/v1/query-plans"
payload = {
"ontology_id": "<string>",
"query": "<string>",
"release_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"diagnostics": [
{
"code": "<string>",
"message": "<string>"
}
],
"is_executable": true,
"logical_plan": [
{
"operator": "<string>",
"expression": "<string>",
"limit": 1,
"object": "<string>",
"offset": 1,
"predicate": "<string>",
"subject": "<string>"
}
],
"manifest_digest": "<string>",
"query_mode": "ontology_metadata",
"release_id": "<string>",
"requires_bindings": true,
"resolved_resources": [
{
"api_name": "<string>",
"artifact_id": "<string>",
"kind": "<string>",
"definition": "<unknown>",
"matched_property_api_name": "<string>"
}
],
"result_bindings": [
{}
],
"unresolved_terms": [
"<string>"
]
}{
"code": "invalid_base64",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "not_found",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "compressed_payload_too_large",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unsupported_content_encoding",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "unprocessable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}